import PropTypes from 'prop-types';
import { Component } from 'react';
import { CommonThemeProps } from '../types';
import { DatePickerProps as NextDatePicker2Props } from '@alifd/next/types/date-picker2';
import { RangePickerProps as NextRangePicker2Props } from '@alifd/next/types/date-picker2';
interface DatePicker2Props extends NextDatePicker2Props, CommonThemeProps {
}
interface RangePicker2Props extends NextRangePicker2Props, CommonThemeProps {
}
declare class BdesignRangePicker extends Component<RangePicker2Props> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignMonthPicker extends Component<DatePicker2Props> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignYearPicker extends Component<DatePicker2Props> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignWeekPicker extends Component<DatePicker2Props> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class BdesignQuarterPicker extends Component<DatePicker2Props> {
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare class DatePicker2 extends Component<DatePicker2Props> {
    static RangePicker: typeof BdesignRangePicker;
    static MonthPicker: typeof BdesignMonthPicker;
    static YearPicker: typeof BdesignYearPicker;
    static WeekPicker: typeof BdesignWeekPicker;
    static QuarterPicker: typeof BdesignQuarterPicker;
    static contextTypes: {
        theme: PropTypes.Requireable<string>;
    };
    render(): JSX.Element;
}
declare const _default: typeof DatePicker2;
export default _default;
